import { ExclamationCircleFilled } from "@ant-design/icons";

/**
 * Priority Label Component
 * @param priority
 * @returns {Element}
 * @constructor
 */
const PriorityLabel = ({ priority }) => {
  switch (priority) {
    case 1:
      return (
        <div>
          High <ExclamationCircleFilled style={{ marginLeft: "5px", color: "red" }} />
        </div>
      );
    case 2:
      return (
        <div>
          Medium <ExclamationCircleFilled style={{ marginLeft: "5px", color: "yellow" }} />
        </div>
      );
    case 3:
      return (
        <div>
          Low <ExclamationCircleFilled style={{ marginLeft: "5px", color: "green" }} />
        </div>
      );
    default:
      return (
        <div>
          None <ExclamationCircleFilled style={{ marginLeft: "5px" }} />
        </div>
      );
  }
};

export default PriorityLabel;
